/*
	File:		SampleLibrary.r

	Contains:	Resources for Shared Library "CSampleLibrary"

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/


INCLUDE "SampleLibrary.RSRC";	/* the library's 'libr', 'libi', and 'code' resources */

#include "SysTypes.r"
#include "Types.r"
#include "VersionResource.r"

#define	rWindow		128			/* traffic light's window */
#define rStopRect	128			/* rectangle for Stop light */
#define rGoRect		129			/* rectangle for Go light */

#define NoItems		0x00000000	/* used for disabling all menu items */

#define	mLight		131			/* Light menu */

/* this 'RECT' resource is used to define trafficlight's red light location */

resource 'RECT' (rStopRect, preload, purgeable) {
	{10, 10, 110, 110}
};

/* the 'RECT' resource is used to define trafficlight's green light location */

resource 'RECT' (rGoRect, preload, purgeable) {
	{120, 10, 220, 110}
};

/* this menu will be added to the application's menu bar */

resource 'MENU' (mLight, preload, locked ) {
	mLight, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Traffic",
	 {
		"Red Light",
			noicon, nokey, nomark, plain;
		"Green Light",
			noicon, nokey, nomark, plain
	}
};

/* this is our trafficlight's window resource */

resource 'WIND' (rWindow, preload, purgeable) {
	{60, 40, 290, 160},
	noGrowDocProc, visible, noGoAway, 0x0, "Traffic"
};

